Package org.oasis_open.docs.ws_calendar.ns.soap

# Class ParamFilterType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.ParamFilterType

public class ParamFilterType extends Object
The paramFilter XML element specifies a query targeted at a specific calendar property parameter (e.g., PARTSTAT) in the scope of the calendar property on which it is defined. A calendar property parameter is said to match a paramFilter if: * The paramFilter XML element is empty and a parameter of the type specified by the "name" attribute exists on the calendar property being examined; or: * The paramFilter XML element contains a is-not-defined XML element and no parameter of the type specified by the "name" attribute exists on the calendar property being examined;

Java class for ParamFilterType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ParamFilterType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}baseParameter"/>
             <choice minOccurs="0">
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}is-not-defined"/>
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}textMatch"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected javax.xml.bind.JAXBElement<? extends BaseParameterType>`
  `baseParameter`
  `protected IsNotDefinedType`
  `isNotDefined`
  `protected TextMatchType`
  `textMatch`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParamFilterType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `javax.xml.bind.JAXBElement<? extends BaseParameterType>`
  `getBaseParameter()`
  Gets the value of the baseParameter property.
  `IsNotDefinedType`
  `getIsNotDefined()`
  Gets the value of the isNotDefined property.
  `TextMatchType`
  `getTextMatch()`
  Gets the value of the textMatch property.
  `void`
  `setBaseParameter(javax.xml.bind.JAXBElement<? extends BaseParameterType> value)`
  Sets the value of the baseParameter property.
  `void`
  `setIsNotDefined(IsNotDefinedType value)`
  Sets the value of the isNotDefined property.
  `void`
  `setTextMatch(TextMatchType value)`
  Sets the value of the textMatch property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### baseParameter

    protected javax.xml.bind.JAXBElement<? extends BaseParameterType> baseParameter

  - ### isNotDefined

    protected IsNotDefinedType isNotDefined

  - ### textMatch

    protected TextMatchType textMatch

- ## Constructor Details

  - ### ParamFilterType

    public ParamFilterType()

- ## Method Details

  - ### getBaseParameter

    public javax.xml.bind.JAXBElement<? extends BaseParameterType> getBaseParameter()
    Gets the value of the baseParameter property.
    Returns:
      possible object is `JAXBElement``<``AltrepParamType``>` `JAXBElement``<``BaseParameterType``>` `JAXBElement``<``CnParamType``>` `JAXBElement``<``CutypeParamType``>` `JAXBElement``<``DelegatedFromParamType``>` `JAXBElement``<``DelegatedToParamType``>` `JAXBElement``<``DirParamType``>` `JAXBElement``<``DurationParameterType``>` `JAXBElement``<``EncodingParamType``>` `JAXBElement``<``FbtypeParamType``>` `JAXBElement``<``FmttypeParamType``>` `JAXBElement``<``LanguageParamType``>` `JAXBElement``<``MemberParamType``>` `JAXBElement``<``PartstatParamType``>` `JAXBElement``<``PublicCommentParameterType``>` `JAXBElement``<``RangeParamType``>` `JAXBElement``<``RelatedParamType``>` `JAXBElement``<``ReltypeParamType``>` `JAXBElement``<``ResponseParameterType``>` `JAXBElement``<``RoleParamType``>` `JAXBElement``<``RsvpParamType``>` `JAXBElement``<``ScheduleAgentParamType``>` `JAXBElement``<``ScheduleForceSendParamType``>` `JAXBElement``<``ScheduleStatusParamType``>` `JAXBElement``<``SentByParamType``>` `JAXBElement``<``StayInformedParameterType``>` `JAXBElement``<``TextParameterType``>` `JAXBElement``<``TzidParamType``>` `JAXBElement``<``XBedeworkLocKeyParamType``>` `JAXBElement``<``XBedeworkUidParamType``>` `JAXBElement``<``XBedeworkWrappedNameParamType``>`

  - ### setBaseParameter

    public void setBaseParameter(javax.xml.bind.JAXBElement<? extends BaseParameterType> value)
    Sets the value of the baseParameter property.
    Parameters:
      `value` - allowed object is `JAXBElement``<``AltrepParamType``>` `JAXBElement``<``BaseParameterType``>` `JAXBElement``<``CnParamType``>` `JAXBElement``<``CutypeParamType``>` `JAXBElement``<``DelegatedFromParamType``>` `JAXBElement``<``DelegatedToParamType``>` `JAXBElement``<``DirParamType``>` `JAXBElement``<``DurationParameterType``>` `JAXBElement``<``EncodingParamType``>` `JAXBElement``<``FbtypeParamType``>` `JAXBElement``<``FmttypeParamType``>` `JAXBElement``<``LanguageParamType``>` `JAXBElement``<``MemberParamType``>` `JAXBElement``<``PartstatParamType``>` `JAXBElement``<``PublicCommentParameterType``>` `JAXBElement``<``RangeParamType``>` `JAXBElement``<``RelatedParamType``>` `JAXBElement``<``ReltypeParamType``>` `JAXBElement``<``ResponseParameterType``>` `JAXBElement``<``RoleParamType``>` `JAXBElement``<``RsvpParamType``>` `JAXBElement``<``ScheduleAgentParamType``>` `JAXBElement``<``ScheduleForceSendParamType``>` `JAXBElement``<``ScheduleStatusParamType``>` `JAXBElement``<``SentByParamType``>` `JAXBElement``<``StayInformedParameterType``>` `JAXBElement``<``TextParameterType``>` `JAXBElement``<``TzidParamType``>` `JAXBElement``<``XBedeworkLocKeyParamType``>` `JAXBElement``<``XBedeworkUidParamType``>` `JAXBElement``<``XBedeworkWrappedNameParamType``>`

  - ### getIsNotDefined

    public IsNotDefinedType getIsNotDefined()
    Gets the value of the isNotDefined property.
    Returns:
      possible object is `IsNotDefinedType`

  - ### setIsNotDefined

    public void setIsNotDefined(IsNotDefinedType value)
    Sets the value of the isNotDefined property.
    Parameters:
      `value` - allowed object is `IsNotDefinedType`

  - ### getTextMatch

    public TextMatchType getTextMatch()
    Gets the value of the textMatch property.
    Returns:
      possible object is `TextMatchType`

  - ### setTextMatch

    public void setTextMatch(TextMatchType value)
    Sets the value of the textMatch property.
    Parameters:
      `value` - allowed object is `TextMatchType`